<?php
session_start();
error_reporting(E_ALL);
ini_set('display_errors', 1);
require_once '../config.php';

// Basit bir admin kontrolü
if (!isset($_SESSION['admin'])) {
    if (isset($_POST['username']) && isset($_POST['password'])) {
        if ($_POST['username'] === 'admin' && $_POST['password'] === 'admin123') {
            $_SESSION['admin'] = true;
        } else {
            echo "Hatalı kullanıcı adı veya şifre!";
            exit;
        }
    } else {
        ?>
        <!DOCTYPE html>
        <html lang="tr">
        <head>
            <meta charset="UTF-8">
            <meta name="viewport" content="width=device-width, initial-scale=1.0">
            <title>Admin Girişi</title>
            <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
        </head>
        <body class="bg-light">
            <div class="container">
                <div class="row justify-content-center mt-5">
                    <div class="col-md-4">
                        <div class="card">
                            <div class="card-body">
                                <h3 class="text-center mb-4">Admin Girişi</h3>
                                <form method="post">
                                    <div class="mb-3">
                                        <input type="text" name="username" class="form-control" placeholder="Kullanıcı adı" required>
                                    </div>
                                    <div class="mb-3">
                                        <input type="password" name="password" class="form-control" placeholder="Şifre" required>
                                    </div>
                                    <button type="submit" class="btn btn-primary w-100">Giriş Yap</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </body>
        </html>
        <?php
        exit;
    }
}

// Admin paneli içeriği
?>
<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Paneli</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap5.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/buttons/2.2.2/css/buttons.bootstrap5.min.css" rel="stylesheet">
    <style>
        .logo-container {
            text-align: center;
            margin: 20px auto;
            max-width: 300px;
            padding: 10px;
        }
        .logo-container img {
            max-width: 100%;
            height: auto;
            display: block;
            margin: 0 auto;
        }
    </style>
</head>
<body>
    <div class="logo-container">
        <img src="../assets/img/logo.png" alt="Logo" class="img-fluid">
    </div>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container">
            <a class="navbar-brand" href="#">Admin Paneli</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link active" href="#" data-page="basvurular">Başvurular</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-page="mesajlar">SMS Şablonları</a>
                    </li>
                </ul>
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="logout.php">Çıkış Yap</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <div class="container mt-4">
        <div id="basvurularPage">
            <div class="table-responsive">
                <table id="basvuruTable" class="table table-striped">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Ad Soyad</th>
                            <th>TC</th>
                            <th>Telefon</th>
                            <th>Okul</th>
                            <th>Sınıf</th>
                            <th>Başvuru Tarihi</th>
                            <th>Durum</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $sql = "SELECT * FROM basvurular ORDER BY id DESC";
                        $result = mysqli_query($conn, $sql);
                        if (!$result) {
                            echo "MySQL Hatası: " . mysqli_error($conn);
                        } else {
                            while ($row = mysqli_fetch_assoc($result)) {
                                echo "<tr>";
                                echo "<td>" . $row['id'] . "</td>";
                                echo "<td>" . $row['ad_soyad'] . "</td>";
                                echo "<td>" . $row['tc'] . "</td>";
                                echo "<td>" . $row['telefon'] . "</td>";
                                echo "<td>" . $row['okul_adi'] . "</td>";
                                echo "<td>" . $row['sinif'] . "</td>";
                                echo "<td>" . $row['basvuru_tarihi'] . "</td>";
                                echo "<td>" . $row['durum'] . "</td>";
                                echo "</tr>";
                            }
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>

        <div id="mesajlarPage" style="display: none;">
            <h2 class="mb-4">SMS Şablonları</h2>
            <div class="row">
                <?php
                $sql = "SELECT * FROM sms_sablonlari";
                $result = mysqli_query($conn, $sql);
                while ($row = mysqli_fetch_assoc($result)) {
                    ?>
                    <div class="col-md-6 mb-4">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title"><?php echo ucfirst(str_replace('_', ' ', $row['tip'])); ?> Mesajı</h5>
                                <form class="smsForm" data-id="<?php echo $row['id']; ?>">
                                    <div class="mb-3">
                                        <textarea class="form-control" rows="3" name="mesaj"><?php echo $row['mesaj']; ?></textarea>
                                        <small class="text-muted">Kullanılabilir değişkenler: {AD_SOYAD}, {ONAY_KODU}</small>
                                    </div>
                                    <button type="submit" class="btn btn-primary">Kaydet</button>
                                </form>
                            </div>
                        </div>
                    </div>
                    <?php
                }
                ?>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/dataTables.bootstrap5.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.2/js/dataTables.buttons.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.bootstrap5.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
    <script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.html5.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#basvuruTable').DataTable({
                "language": {
                    "url": "//cdn.datatables.net/plug-ins/1.11.5/i18n/tr.json"
                },
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excel',
                        text: 'Excel\'e Aktar',
                        className: 'btn btn-success',
                        exportOptions: {
                            columns: ':visible'
                        }
                    }
                ]
            });

            $('.nav-link').click(function(e) {
                e.preventDefault();
                const page = $(this).data('page');
                $('.nav-link').removeClass('active');
                $(this).addClass('active');
                
                if (page === 'basvurular') {
                    $('#basvurularPage').show();
                    $('#mesajlarPage').hide();
                } else {
                    $('#basvurularPage').hide();
                    $('#mesajlarPage').show();
                }
            });

            $('.smsForm').submit(function(e) {
                e.preventDefault();
                const id = $(this).data('id');
                const mesaj = $(this).find('textarea').val();
                
                $.ajax({
                    type: 'POST',
                    url: 'update_sms.php',
                    data: {
                        id: id,
                        mesaj: mesaj
                    },
                    success: function(response) {
                        if(response.success) {
                            alert('SMS şablonu güncellendi');
                        } else {
                            alert('Bir hata oluştu');
                        }
                    }
                });
            });
        });
    </script>
</body>
</html>
