<?php
header('Content-Type: application/json');
require_once '../config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $ad_soyad = mysqli_real_escape_string($conn, $_POST['ad_soyad']);
    $tc = mysqli_real_escape_string($conn, $_POST['tc']);
    $telefon = mysqli_real_escape_string($conn, $_POST['telefon']);
    $okul_adi = mysqli_real_escape_string($conn, $_POST['okul_adi']);
    $sinif = mysqli_real_escape_string($conn, $_POST['sinif']);
    $manuel_basvuru = isset($_POST['manuel_basvuru']) ? 1 : 0;
    $sms_gonder = isset($_POST['sms_gonder']) ? 1 : 0;

    // Onay kodu oluştur
    $onay_kodu = sprintf("%06d", mt_rand(0, 999999));
    
    $sql = "INSERT INTO basvurular (ad_soyad, tc, telefon, okul_adi, sinif, onay_kodu, manuel_basvuru) 
            VALUES ('$ad_soyad', '$tc', '$telefon', '$okul_adi', '$sinif', '$onay_kodu', '$manuel_basvuru')";
    
    if (mysqli_query($conn, $sql)) {
        if ($sms_gonder) {
            // SMS şablonunu al
            $sql = "SELECT mesaj FROM sms_sablonlari WHERE tip = 'basvuru_onay'";
            $result = mysqli_query($conn, $sql);
            $row = mysqli_fetch_assoc($result);
            $mesaj = $row['mesaj'];
            
            // Şablondaki değişkenleri değiştir
            $mesaj = str_replace('{AD_SOYAD}', $ad_soyad, $mesaj);
            
            // NetGSM API ile SMS gönder
            $url = "https://api.netgsm.com.tr/sms/send/get";
            $params = array(
                'usercode' => NETGSM_USERCODE,
                'password' => NETGSM_PASSWORD,
                'gsmno' => $telefon,
                'message' => $mesaj,
                'msgheader' => NETGSM_HEADER
            );
            
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url . '?' . http_build_query($params));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $response = curl_exec($ch);
            curl_close($ch);
            
            if ($response) {
                mysqli_query($conn, "UPDATE basvurular SET sms_gonderildi = 1 WHERE tc = '$tc'");
            }
        }
        
        echo json_encode(['success' => true]);
    } else {
        echo json_encode(['success' => false, 'message' => 'Veritabanı hatası']);
    }
}
?>
