-- Başvurular tablosu
CREATE TABLE IF NOT EXISTS `basvurular` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ad_soyad` varchar(100) NOT NULL,
  `tc` varchar(11) NOT NULL,
  `telefon` varchar(15) NOT NULL,
  `okul_adi` varchar(100) NOT NULL,
  `sinif` enum('9.Sınıf','10.Sınıf','11.Sınıf','12.Sınıf','Mezun') NOT NULL,
  `basvuru_tarihi` datetime DEFAULT CURRENT_TIMESTAMP,
  `onay_kodu` varchar(6) NOT NULL,
  `durum` enum('beklemede','onaylandı') DEFAULT 'beklemede',
  `manuel_basvuru` TINYINT(1) DEFAULT 0,
  `sms_gonderildi` TINYINT(1) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- Okullar tablosu
CREATE TABLE IF NOT EXISTS `okullar` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `okul_adi` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- İzmir'deki liseleri ekle
INSERT INTO `okullar` (`okul_adi`) VALUES 
('Bornova Anadolu Lisesi'),
('İzmir Fen Lisesi'),
('Karşıyaka Lisesi'),
('Atatürk Lisesi'),
('Konak Anadolu Lisesi'),
('Buca Anadolu Lisesi'),
('Çiğli Fen Lisesi'),
('Selma Yiğitalp Anadolu Lisesi'),
('İzmir Kız Lisesi'),
('Namık Kemal Lisesi');

-- Admin kullanıcıları tablosu
CREATE TABLE IF NOT EXISTS `admin_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- Varsayılan admin kullanıcısı ekleme (şifre: admin123)
INSERT INTO `admin_users` (`username`, `password`) VALUES
('admin', '$2y$10$8Ux8OXH0tXVAHJVkrPcOyeF9uLRnAgXQoRUXJECM3EOWTPQYGy3Aq');

-- SMS şablonları tablosu
CREATE TABLE IF NOT EXISTS `sms_sablonlari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tip` varchar(50) NOT NULL,
  `mesaj` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- Varsayılan SMS şablonlarını ekle
INSERT INTO `sms_sablonlari` (`tip`, `mesaj`) VALUES
('onay_kodu', 'Sayin {AD_SOYAD}, basvurunuz icin onay kodunuz: {ONAY_KODU}'),
('basarili', 'Sayin {AD_SOYAD}, basvurunuz basariyla onaylanmistir.'),
('basarisiz', 'Sayin {AD_SOYAD}, basvurunuz onaylanmamistir.');
