<?php
require_once 'config.php';
?>
<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Başvuru Formu</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.4.24/sweetalert2.min.css" />
    <style>
        body {
            background-color: #f8f9fa;
        }
        .logo-container {
            text-align: center;
            margin: 20px auto;
            max-width: 400px; /* Logo genişliğini sınırla */
            padding: 10px;
        }
        .logo-container img {
            max-width: 100%;
            height: auto;
            display: block;
            margin: 0 auto;
        }
        .form-container {
            max-width: 600px;
            margin: 20px auto;
            padding: 30px;
            background: white;
            border-radius: 10px;
            box-shadow: 0 0 20px rgba(0,0,0,0.1);
        }
        .form-control:focus {
            box-shadow: none;
            border-color: #0d6efd;
        }
        .select2-container .select2-selection--single {
            height: 38px;
            border: 1px solid #ced4da;
        }
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 38px;
        }
        .select2-container--default .select2-selection--single .select2-selection__arrow {
            height: 36px;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="logo-container">
            <img src="assets/img/logo.png" alt="Logo" class="img-fluid">
        </div>
        <div class="form-container">
            <h2 class="text-center mb-4">Başvuru Formu</h2>
            <form id="basvuruForm" method="post" action="submit.php">
                <div class="mb-3">
                    <label for="ad_soyad" class="form-label">Ad Soyad</label>
                    <input type="text" class="form-control" id="ad_soyad" name="ad_soyad" required>
                </div>
                <div class="mb-3">
                    <label for="tc" class="form-label">T.C. Kimlik No</label>
                    <input type="text" class="form-control" id="tc" name="tc" minlength="11" maxlength="11" required>
                </div>
                <div class="mb-3">
                    <label for="telefon" class="form-label">Cep Telefonu</label>
                    <input type="tel" class="form-control" id="telefon" name="telefon" placeholder="05XXXXXXXXX" required>
                </div>
                <div class="mb-3">
                    <label for="okul_adi" class="form-label">Okul Adı</label>
                    <select class="form-control" id="okul_adi" name="okul_adi" required>
                        <option value="">Okul Seçiniz</option>
                        <?php
                        $sql = "SELECT * FROM okullar ORDER BY okul_adi";
                        $result = mysqli_query($conn, $sql);
                        while ($row = mysqli_fetch_assoc($result)) {
                            echo "<option value='" . $row['okul_adi'] . "'>" . $row['okul_adi'] . "</option>";
                        }
                        ?>
                    </select>
                </div>
                <div class="mb-3">
                    <label for="sinif" class="form-label">Sınıf</label>
                    <select class="form-control" id="sinif" name="sinif" required>
                        <option value="">Sınıf Seçiniz</option>
                        <option value="9.Sınıf">9. Sınıf</option>
                        <option value="10.Sınıf">10. Sınıf</option>
                        <option value="11.Sınıf">11. Sınıf</option>
                        <option value="12.Sınıf">12. Sınıf</option>
                        <option value="Mezun">Mezun</option>
                    </select>
                </div>
                <button type="submit" class="btn btn-primary w-100">Başvur</button>
            </form>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="onayModal" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">SMS Onay Kodu</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
                </div>
                <div class="modal-body">
                    <input type="text" class="form-control" id="onayKodu" placeholder="Onay kodunu giriniz">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" id="onaylaBtn">Onayla</button>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.4.24/sweetalert2.min.js"></script>
    <script>
        $(document).ready(function() {
            // TC Kimlik Numarası Doğrulama
            function tcKimlikDogrula(tc) {
                if (tc.length != 11) return false;
                if (!/^\d+$/.test(tc)) return false;
                if (tc[0] == '0') return false;

                let tek = 0, cift = 0, toplam = 0;
                for (let i = 0; i < 9; i += 2) tek += Number(tc[i]);
                for (let i = 1; i < 8; i += 2) cift += Number(tc[i]);

                let digit10 = ((tek * 7) - cift) % 10;
                toplam = 0;
                for (let i = 0; i < 9; i++) toplam += Number(tc[i]);
                let digit11 = (toplam + digit10) % 10;

                return (digit10 == tc[9] && digit11 == tc[10]);
            }

            // Form gönderimi
            $('#basvuruForm').on('submit', function(e) {
                e.preventDefault();

                let tc = $('#tc').val();
                let telefon = $('#telefon').val();

                // TC Kimlik kontrolü
                if (!tcKimlikDogrula(tc)) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Hata',
                        text: 'Geçersiz TC Kimlik Numarası'
                    });
                    return;
                }

                // Telefon format kontrolü
                if (!/^05[0-9]{9}$/.test(telefon)) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Hata',
                        text: 'Geçersiz telefon numarası formatı. Örnek: 05XXXXXXXXX'
                    });
                    return;
                }

                $.ajax({
                    type: 'POST',
                    url: 'submit.php',
                    data: $(this).serialize(),
                    dataType: 'json',
                    success: function(response) {
                        if (response.success) {
                            Swal.fire({
                                title: 'Onay Kodu',
                                html: `
                                    <div class="text-center mb-3">
                                        <div id="timer" class="h4 mb-3">03:00</div>
                                        <p>Telefonunuza gönderilen onay kodunu giriniz</p>
                                    </div>
                                    <input type="text" id="onayKodu" class="form-control" placeholder="Onay Kodu">
                                `,
                                showCancelButton: true,
                                confirmButtonText: 'Onayla',
                                cancelButtonText: 'İptal',
                                showLoaderOnConfirm: true,
                                allowOutsideClick: false,
                                didOpen: () => {
                                    let timeLeft = 180; // 3 dakika
                                    const timerEl = Swal.getHtmlContainer().querySelector('#timer');
                                    
                                    const timer = setInterval(() => {
                                        const minutes = Math.floor(timeLeft / 60);
                                        const seconds = timeLeft % 60;
                                        timerEl.textContent = `${String(minutes).padStart(2, '0')}:${String(seconds).padStart(2, '0')}`;
                                        
                                        if (timeLeft <= 0) {
                                            clearInterval(timer);
                                            Swal.close();
                                            window.location.reload();
                                        }
                                        timeLeft--;
                                    }, 1000);

                                    // Modal kapandığında timer'ı temizle
                                    Swal.getPopup().addEventListener('close', () => {
                                        clearInterval(timer);
                                    });
                                },
                                preConfirm: () => {
                                    const onayKodu = Swal.getHtmlContainer().querySelector('#onayKodu').value;
                                    return $.ajax({
                                        type: 'POST',
                                        url: 'verify.php',
                                        data: { onay_kodu: onayKodu },
                                        dataType: 'json'
                                    }).then(response => {
                                        if (!response.success) {
                                            throw new Error(response.message || 'Onay kodu hatalı!');
                                        }
                                        return response;
                                    }).catch(error => {
                                        Swal.showValidationMessage(error.message);
                                    });
                                }
                            }).then((result) => {
                                if (result.isConfirmed) {
                                    Swal.fire({
                                        icon: 'success',
                                        title: 'Başarılı!',
                                        text: 'Başvurunuz onaylandı.',
                                        confirmButtonText: 'Tamam'
                                    }).then(() => {
                                        window.location.reload();
                                    });
                                }
                            });
                        } else {
                            Swal.fire({
                                icon: 'error',
                                title: 'Hata',
                                text: response.message
                            });
                        }
                    },
                    error: function() {
                        Swal.fire({
                            icon: 'error',
                            title: 'Hata',
                            text: 'Bir hata oluştu. Lütfen tekrar deneyin.'
                        });
                    }
                });
            });

            // Okul seçimi için Select2
            $('#okul_adi').select2();
        });
    </script>
</body>
</html>
